/*
   Class Name:

      CBone.

   Created by:

      Allen Sherrod (Programming Ace of www.UltimateGameProgramming.com).

   Description:

      This class represents a skeleton bone for vertex skinning.
*/


#include"CBone.h"


CBone::CBone() : parent(0), length(0)
{

}


void CBone::SetBone(unsigned int P, float L)
{
   // Set the bone data.
   parent = P; length = L;
}


void CBone::SetBone(unsigned int P, float L, CMatrix4x4 R, CMatrix4x4 A)
{
   // Set the bone data.
   parent = P; length = L; relative = R; absolute = A;
}


// Copyright May 2004
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com