/*
   Class Name:

      CBone.

   Created by:

      Allen Sherrod (Programming Ace of www.UltimateGameProgramming.com).

   Description:

      These classes represents a skeleton bone for vertex skinning.
*/


#ifndef CBONE_H
#define CBONE_H


#include"CMatrix.h"


class CBone
{
   public:
      CBone();
      
      void SetBone(unsigned int P, float L);
      void SetBone(unsigned int P, float L,
                   CMatrix4x4 R, CMatrix4x4 A);

      unsigned int parent;
      float length;

      CMatrix4x4 relative;
      CMatrix4x4 absolute;
};

#endif


// Copyright May 2004
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com